# AP4_DecoderConfigDescriptor Class Reference

`#include <Ap4DecoderConfigDescriptor.h>`

Inheritance diagram for AP4_DecoderConfigDescriptor:

List of all members.

## Public Member Functions
| AP4_DecoderConfigDescriptor (AP4_UI08 stream_type, AP4_UI08 oti, AP4_UI32 buffer_size, AP4_UI32 max_bitrate, AP4_UI32 avg_bitrate, AP4_DecoderSpecificInfoDescriptor *dsi)
| AP4_DecoderConfigDescriptor (AP4_ByteStream &stream, AP4_Size header_size, AP4_Size payload_size)
virtual | ~AP4_DecoderConfigDescriptor ()
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
virtual AP4_Result | Inspect (AP4_AtomInspector &inspector)
virtual const AP4_DecoderSpecificInfoDescriptor * | GetDecoderSpecificInfoDescriptor () const
virtual AP4_UI08 | GetObjectTypeIndication () const
virtual AP4_UI08 | GetStreamType () const
virtual AP4_UI32 | GetBufferSize () const
virtual AP4_UI32 | GetMaxBitrate () const
virtual AP4_UI32 | GetAvgBitrate () const

## Detailed Description

Definition at line 53 of file Ap4DecoderConfigDescriptor.h.

## Constructor & Destructor Documentation

AP4_DecoderConfigDescriptor::AP4_DecoderConfigDescriptor | ( | AP4_UI08 | stream_type,
|  | AP4_UI08 | oti,
|  | AP4_UI32 | buffer_size,
|  | AP4_UI32 | max_bitrate,
|  | AP4_UI32 | avg_bitrate,
|  | AP4_DecoderSpecificInfoDescriptor * | dsi |
| ) |  |  |

AP4_DecoderConfigDescriptor::AP4_DecoderConfigDescriptor | ( | AP4_ByteStream & | stream,
|  | AP4_Size | header_size,
|  | AP4_Size | payload_size |
| ) |  |  |

virtual AP4_DecoderConfigDescriptor::~AP4_DecoderConfigDescriptor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual AP4_Result AP4_DecoderConfigDescriptor::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Expandable.

virtual AP4_Result AP4_DecoderConfigDescriptor::Inspect | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Descriptor.

virtual const AP4_DecoderSpecificInfoDescriptor* AP4_DecoderConfigDescriptor::GetDecoderSpecificInfoDescriptor | ( |  | ) | const`[virtual]`

virtual AP4_UI08 AP4_DecoderConfigDescriptor::GetObjectTypeIndication | ( |  | ) | const`[inline, virtual]`

Definition at line 73 of file Ap4DecoderConfigDescriptor.h.

virtual AP4_UI08 AP4_DecoderConfigDescriptor::GetStreamType | ( |  | ) | const`[inline, virtual]`

Definition at line 76 of file Ap4DecoderConfigDescriptor.h.

virtual AP4_UI32 AP4_DecoderConfigDescriptor::GetBufferSize | ( |  | ) | const`[inline, virtual]`

Definition at line 77 of file Ap4DecoderConfigDescriptor.h.

virtual AP4_UI32 AP4_DecoderConfigDescriptor::GetMaxBitrate | ( |  | ) | const`[inline, virtual]`

Definition at line 78 of file Ap4DecoderConfigDescriptor.h.

virtual AP4_UI32 AP4_DecoderConfigDescriptor::GetAvgBitrate | ( |  | ) | const`[inline, virtual]`

Definition at line 79 of file Ap4DecoderConfigDescriptor.h.

The documentation for this class was generated from the following file:

- Ap4DecoderConfigDescriptor.h